[135617] trunk/dports/gnome/libgnomecanvas

devans at macports.org devans at macports.org
Mon Apr 27 22:00:26 PDT 2015


Revision: 135617
          https://trac.macports.org/changeset/135617
Author:   devans at macports.org
Date:     2015-04-27 22:00:26 -0700 (Mon, 27 Apr 2015)
Log Message:
-----------
libgnomecanvas: patch to fix build, reconfigure using upstream autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/gnome/libgnomecanvas/Portfile

Added Paths:
-----------
    trunk/dports/gnome/libgnomecanvas/files/
    trunk/dports/gnome/libgnomecanvas/files/autogen.sh
    trunk/dports/gnome/libgnomecanvas/files/patch-libgnomecanvas-gnome-canvas-widget.c.diff

Modified: trunk/dports/gnome/libgnomecanvas/Portfile
===================================================================
--- trunk/dports/gnome/libgnomecanvas/Portfile	2015-04-28 04:52:27 UTC (rev 135616)
+++ trunk/dports/gnome/libgnomecanvas/Portfile	2015-04-28 05:00:26 UTC (rev 135617)
@@ -33,7 +33,10 @@
 depends_build   port:pkgconfig \
                 port:gnome-common \
                 port:gtk-doc \
-                port:intltool
+                port:intltool \
+                port:autoconf \
+                port:automake \
+                port:libtool
 
 depends_lib     port:gtk2 \
                 port:libart_lgpl \
@@ -41,10 +44,16 @@
 
 use_bzip2       yes
 
-# Don't do intltool's INTLTOOL_PERL dance
-use_autoreconf  yes
-autoreconf.args -fvi
+patchfiles      patch-libgnomecanvas-gnome-canvas-widget.c.diff
 
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd   ./autogen.sh
+
 configure.args  --enable-glade
 
 test.run        yes

Added: trunk/dports/gnome/libgnomecanvas/files/autogen.sh
===================================================================
--- trunk/dports/gnome/libgnomecanvas/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/libgnomecanvas/files/autogen.sh	2015-04-28 05:00:26 UTC (rev 135617)
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libgnomecanvas"
+
+REQUIRED_AUTOMAKE_VERSION=1.7
+export REQUIRED_AUTOMAKE_VERSION
+
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/autogen.sh \
+  && test -d $srcdir/libgnomecanvas) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+DIE=0
+
+rm -f .using-gnome-libs-package
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  test -z "$dir" && dir=.
+  if test -f $dir/gnome-autogen.sh ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen

Added: trunk/dports/gnome/libgnomecanvas/files/patch-libgnomecanvas-gnome-canvas-widget.c.diff
===================================================================
--- trunk/dports/gnome/libgnomecanvas/files/patch-libgnomecanvas-gnome-canvas-widget.c.diff	                        (rev 0)
+++ trunk/dports/gnome/libgnomecanvas/files/patch-libgnomecanvas-gnome-canvas-widget.c.diff	2015-04-28 05:00:26 UTC (rev 135617)
@@ -0,0 +1,11 @@
+--- libgnomecanvas/gnome-canvas-widget.c.orig	2015-04-27 21:46:57.000000000 -0700
++++ libgnomecanvas/gnome-canvas-widget.c	2015-04-27 21:48:07.000000000 -0700
+@@ -33,7 +33,7 @@
+ 
+ #include <config.h>
+ #include <math.h>
+-#include <gtk/gtksignal.h>
++#include <gtk/gtk.h>
+ #include "gnome-canvas-widget.h"
+ 
+ enum {
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150427/d2c1b20f/attachment.html>


More information about the macports-changes mailing list